%define oname   fb

Name:       ruby-%{oname}
Version:    0.7.0
Release:    %mkrel 3
Summary:    This is the Firebird API module for Ruby
Group:      Development/Ruby
License:    Ruby License
URL:        http://github.com/rowland/fb
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: firebird-devel

%description
This is the Firebird API module for Ruby.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitearchdir}/fb.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch: noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install



%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.7.0-3.mga3
+ Revision: 395950
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.7.0-2.mga3
+ Revision: 380874
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.7.0-1.mga3
+ Revision: 312985
- new version 0.7.0

* Tue Mar 22 2011 philippem <philippem> 0.6.7-2.mga1
+ Revision: 75670
- change doc as noarch

* Tue Mar 22 2011 philippem <philippem> 0.6.7-1.mga1
+ Revision: 75629
- imported package ruby-fb

